package com.vendor.burn.serial.workers;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.serial.workers.CallLibUSBWorker;

public enum LibUsbEnum {
  LIBUSB_SUCCESS(0),
  LIBUSB_TIMEOUT(1),
  LIBUSB_ERROR_IO(-1),
  LIBUSB_ERROR_INVALID_PARAM(-2),
  LIBUSB_ERROR_ACCESS(-3),
  LIBUSB_ERROR_NO_DEVICE(-4),
  LIBUSB_ERROR_NOT_FOUND(-5),
  LIBUSB_ERROR_BUSY(-6),
  LIBUSB_ERROR_TIMEOUT(-7),
  LIBUSB_ERROR_OVERFLOW(-8),
  LIBUSB_ERROR_PIPE(-9),
  LIBUSB_ERROR_INTERRUPTED(-10),
  LIBUSB_ERROR_NO_MEM(-11),
  LIBUSB_ERROR_NOT_SUPPORTED(-12),
  LIBUSB_ERROR_OTHER(-99);
  
  private int value = 0;
  
  LibUsbEnum(int value) {
    this.value = value;
  }
  
  public int getValue() {
    return this.value;
  }
}
